#!/bin/bash

. ./.jprojects.sh || exit 255

for project in ${LIST}; do
	if [ "${project}" = "jprojects-scripts" ]
	then
		echo "$0: Skipping jprojects-scripts ..."
		continue
	elif [ ! -d "${JPROJECTS_HOME}/${project}" ]
	then
		echo "$0: Project '${project}' does not exist."
		continue
	fi

	BUNDLE_FILE="${JPROJECTS_HOME}/${project}.bundle"

	echo "$0: Bundling '${project}' ..."
	cd "${JPROJECTS_HOME}/${project}"
	git bundle create "${BUNDLE_FILE}" HEAD
done

echo "$0: All done."
exit 0
