#!/bin/sh

LABEL="Transport"
MOUNT_POINT="/media/${USER}/${LABEL}"
DEV_PATH="/dev/disk/by-label/${LABEL}"
#MOUNT_OPTIONS="rw,nosuid,nodev,noexec,noatime,data=ordered,errors=remount-ro,uid=1000,gid=1000"
MOUNT_OPTIONS="rw,nosuid,nodev,noexec,noatime,data=ordered,errors=remount-ro"

if [ ! -d "${MOUNT_POINT}" ]
then
	sudo mkdir -p ${MOUNT_POINT}
fi

sudo mount -t ext4 -o "${MOUNT_OPTIONS}" "${DEV_PATH}" "${MOUNT_POINT}"
